Bug 1662544 (python-tvb-gdist) - Review Request: python-tvb-gdist - Cython interface to geodesic
Summary: Review Request: python-tvb-gdist - Cython interface to geodesic
Keywords:
Status: CLOSED ERRATA
Alias: python-tvb-gdist
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2018-12-29 17:35 UTC by Ankur Sinha (FranciscoD)
Modified: 2019-01-16 02:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-16 01:42:33 UTC
mhroncok: fedora-review+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2018-12-29 17:35:13 UTC
Spec URL: https://ankursinha.fedorapeople.org/python-tvb-gdist/python-tvb-gdist.spec
SRPM URL: https://ankursinha.fedorapeople.org/python-tvb-gdist/python-tvb-gdist-1.5.6-1.fc29.src.rpm

Description: 
The Virtual Brain Project (TVB Project) has the purpose of offering some modern
tools to the Neurosciences community, for computing, simulating and analyzing
functional and structural data of human brains.

The gdist module is a Cython interface to a C++ library
(http://code.google.com/p/geodesic/) for computing geodesic distance which is
the length of shortest line between two vertices on a triangulated mesh in
three dimensions, such that the line lies on the surface.

The algorithm is due Mitchell, Mount and Papadimitriou, 1987; the
implementation is due to Danil Kirsanov and the Cython interface to Gaurav
Malhotra and Stuart Knock.

Original library (published under MIT license):
http://code.google.com/p/geodesic/

We added a python wrapped and made small fixes to the original library, to make
it compatible with cython.


Fedora Account System Username: ankursinha

Comment 1 Miro Hrončok 2019-01-02 12:27:37 UTC
Empty %check?

Comment 2 Miro Hrončok 2019-01-02 12:29:39 UTC
Please BR python3-setuptools explicitly.

Comment 3 Manas Mangaonkar (Pac23) 2019-01-02 13:41:46 UTC
This is an unofficial review, i am looking for a sponsor 
======================================================

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed





===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)", "Unknown or generated". 14 files have
     unknown license. Detailed output of licensecheck in
     /root/review/neurofed/python-tvb-gdist/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep
===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python3
     -tvb-gdist , python-tvb-gdist-debugsource
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.

Package builds fine,except for the blank % check mentioned by others and BR.

Comment 4 Ankur Sinha (FranciscoD) 2019-01-06 14:54:44 UTC
Thanks for the unofficial review, Manas, Miro.

Updated spec/srpm:

https://ankursinha.fedorapeople.org/python-tvb-gdist/python-tvb-gdist.spec
https://ankursinha.fedorapeople.org/python-tvb-gdist/python-tvb-gdist-1.5.6-2.fc29.src.rpm

Cheers,
Ankur

Comment 5 Miro Hrončok 2019-01-06 19:17:46 UTC
Licensecheck thinks this is GPL v3 or later.


GPL (v3 or later)
-----------------
tvb-gdist-1.5.6/LICENSE
tvb-gdist-1.5.6/gdist.pyx
tvb-gdist-1.5.6/setup.py

Unknown or generated
--------------------
(all other files)

Comment 7 Miro Hrončok 2019-01-06 20:23:23 UTC
Rpmlint
-------
Checking: python3-tvb-gdist-1.5.6-2.fc30.x86_64.rpm
          python-tvb-gdist-debugsource-1.5.6-2.fc30.x86_64.rpm
          python-tvb-gdist-1.5.6-2.fc30.src.rpm
python3-tvb-gdist.x86_64: W: spelling-error Summary(en_US) Cython -> Python
python3-tvb-gdist.x86_64: W: spelling-error %description -l en_US cython -> python, Python
python-tvb-gdist.src: W: spelling-error Summary(en_US) Cython -> Python
python-tvb-gdist.src: W: spelling-error %description -l en_US cython -> python, Python
3 packages and 0 specfiles checked; 0 errors, 4 warnings.


All good.

Requires
--------
python-tvb-gdist-debugsource (rpmlib, GLIBC filtered):

python3-tvb-gdist (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpython3.7m.so.1.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    python(abi)
    python3.7dist(cython)
    python3.7dist(numpy)
    python3.7dist(scipy)
    rtld(GNU_HASH)



Provides
--------
python-tvb-gdist-debugsource:
    python-tvb-gdist-debugsource
    python-tvb-gdist-debugsource(x86-64)

python3-tvb-gdist:
    python3-tvb-gdist
    python3-tvb-gdist(x86-64)
    python3.7dist(tvb-gdist)
    python3dist(tvb-gdist)

Source checksums
----------------
https://files.pythonhosted.org/packages/source/t/tvb-gdist/tvb-gdist-1.5.6.tar.gz :
  CHECKSUM(SHA256) this package     : cc718748b0b6f120818fce987f0cac50f2ef6f95c667c2b6269ebe14381ffb6b
  CHECKSUM(SHA256) upstream package : cc718748b0b6f120818fce987f0cac50f2ef6f95c667c2b6269ebe14381ffb6b

APPROVED.

Comment 8 Ankur Sinha (FranciscoD) 2019-01-06 20:38:52 UTC
Thanks for the review!

SCM requested: https://pagure.io/releng/fedora-scm-requests/issue/9370

Comment 9 Gwyn Ciesla 2019-01-07 15:05:56 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-tvb-gdist

Comment 10 Fedora Update System 2019-01-07 17:24:04 UTC
python-tvb-gdist-1.5.6-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a387a35b7c

Comment 11 Fedora Update System 2019-01-07 17:24:07 UTC
python-tvb-gdist-1.5.6-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-230d03608e

Comment 12 Fedora Update System 2019-01-08 00:56:15 UTC
python-tvb-gdist-1.5.6-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a387a35b7c

Comment 13 Fedora Update System 2019-01-08 02:05:07 UTC
python-tvb-gdist-1.5.6-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-230d03608e

Comment 14 Fedora Update System 2019-01-16 01:42:33 UTC
python-tvb-gdist-1.5.6-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-01-16 02:19:32 UTC
python-tvb-gdist-1.5.6-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.